Subject: Re: [net-next PATCH v3 6/8] net: ixgbe: add minimal parser details for ixgbe

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 17 Feb 2016 06:06:02 -0500

On 16-02-17 12:18 AM, John Fastabend wrote:
> This adds an ixgbe data structure that is used to determine what
> headers:fields can be matched and in what order they are supported.
>
> For hardware devices this can be a bit tricky because typically
> only pre-programmed (firmware, ucode, rtl) parse graphs will be
> supported and we don't yet have an interface to change these from
> the OS. So its sort of a you get whatever your friendly vendor
> provides affair at the moment.
>
> In the future we can add the get routines and set routines to
> update this data structure. One interesting thing to note here
> is the data structure here identifies ethernet, ip, and tcp
> fields without having to hardcode them as enumerations or use
> other identifiers.
>
> Signed-off-by: John Fastabend <[email-masked]>

should __u32 be u32? Also at some points you seem to interchangeably
use unsigned int vs u32. I think most of unsigned ints should be u32.

Acked-by: Jamal Hadi Salim <[email-masked]>